libcoap 4.3.2rc2

Macros
coap.h File Reference

Primary include file. More...

`#include "coap3/libcoap.h"`
`#include "coap3/coap_forward_decls.h"`
`#include "coap3/coap_address.h"`
`#include "coap3/coap_async.h"`
`#include "coap3/coap_block.h"`
`#include "coap3/coap_cache.h"`
`#include "coap3/coap_debug.h"`
`#include "coap3/coap_dtls.h"`
`#include "coap3/coap_encode.h"`
`#include "coap3/coap_event.h"`
`#include "coap3/coap_io.h"`
`#include "coap3/coap_mem.h"`
`#include "coap3/coap_net.h"`
`#include "coap3/coap_option.h"`
`#include "coap3/coap_oscore.h"`
`#include "coap3/coap_pdu.h"`
`#include "coap3/coap_prng.h"`
`#include "coap3/coap_resource.h"`
`#include "coap3/coap_str.h"`
`#include "coap3/coap_subscribe.h"`
`#include "coap3/coap_time.h"`
`#include "coap3/coap_uri.h"`
`#include "coap3/coap_ws.h"`

Go to the source code of this file.

## Macros
#define | LIBCOAP_PACKAGE_BUGREPORT "libcoap-developers@lists.sourceforge.net"
#define | LIBCOAP_PACKAGE_NAME "libcoap"
#define | LIBCOAP_PACKAGE_STRING "libcoap 4.3.2rc2"
#define | LIBCOAP_PACKAGE_URL "https://libcoap.net/"
#define | LIBCOAP_PACKAGE_VERSION "4.3.2rc2"
#define | LIBCOAP_VERSION (4003002U)

## Detailed Description

Primary include file.

Definition in file coap.h.

## Macro Definition Documentation

## ◆ LIBCOAP_PACKAGE_BUGREPORT

#define LIBCOAP_PACKAGE_BUGREPORT "libcoap-developers@lists.sourceforge.net"

Definition at line 22 of file coap.h.

## ◆ LIBCOAP_PACKAGE_NAME

#define LIBCOAP_PACKAGE_NAME "libcoap"

Definition at line 25 of file coap.h.

## ◆ LIBCOAP_PACKAGE_STRING

#define LIBCOAP_PACKAGE_STRING "libcoap 4.3.2rc2"

Definition at line 28 of file coap.h.

## ◆ LIBCOAP_PACKAGE_URL

#define LIBCOAP_PACKAGE_URL "https://libcoap.net/"

Definition at line 31 of file coap.h.

## ◆ LIBCOAP_PACKAGE_VERSION

#define LIBCOAP_PACKAGE_VERSION "4.3.2rc2"

Definition at line 34 of file coap.h.

## ◆ LIBCOAP_VERSION

#define LIBCOAP_VERSION (4003002U)

Definition at line 37 of file coap.h.